=== debian/changelog ===
ros-indigo-crossing-detector (0.1.8-0trusty) trusty; urgency=high

  * crossing_detector: Fix Ubuntu detection on non-Ubuntu systems
  * Contributors: Scott K Logan

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 20 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.7-0trusty) trusty; urgency=high

  * crossing_detector: solve CGAL cmake on Saucy
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Mon, 19 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.6-0trusty) trusty; urgency=high

  * remove Python bindings libs from catkin_package
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Wed, 14 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.5-0trusty) trusty; urgency=high

  * Unchanged

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.4-0trusty) trusty; urgency=high

  * manipulate build flags for CGAL
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.3-0trusty) trusty; urgency=high

  * manipulate build type for CGAL
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.2-0trusty) trusty; urgency=high

  * Unchanged

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000

ros-indigo-crossing-detector (0.1.1-0trusty) trusty; urgency=high

  * First public release for Indigo
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Sun, 11 Jan 2015 23:00:00 -0000
